freemarker-version and freemarker-bundle-version

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

freemarker-version and freemarker-bundle-version

Pascal Schumacher
Hi,

while looking into updating the freemarker version used by camel I
noticed that we have both freemarker-version and freemarker-bundle-version.

It looks like freemarker already is a OSGI bundle nowadays:

https://github.com/apache/freemarker/blob/2.3-gae/build.xml#L412

https://github.com/apache/freemarker/blob/2.3-gae/osgi.bnd

Do we still need the freemarker service mix bundle?

Cheers,

Pascal

Reply | Threaded
Open this post in threaded view
|

Re: freemarker-version and freemarker-bundle-version

Zoran Regvart-2
Hi Pascal,
I think you're spot on, I think we should use the freemarker as is and
remove the service mix one,

zoran

On Sun, Apr 29, 2018 at 10:08 AM, Pascal Schumacher
<[hidden email]> wrote:

> Hi,
>
> while looking into updating the freemarker version used by camel I noticed
> that we have both freemarker-version and freemarker-bundle-version.
>
> It looks like freemarker already is a OSGI bundle nowadays:
>
> https://github.com/apache/freemarker/blob/2.3-gae/build.xml#L412
>
> https://github.com/apache/freemarker/blob/2.3-gae/osgi.bnd
>
> Do we still need the freemarker service mix bundle?
>
> Cheers,
>
> Pascal
>



--
Zoran Regvart
Reply | Threaded
Open this post in threaded view
|

Re: freemarker-version and freemarker-bundle-version

Pascal Schumacher
Hi Zoran,

thanks for the feedback.

Implemented in:
https://github.com/apache/camel/commit/6217ba02eb8fab1bea2a7252aa00a1d659c0ea3e

- Pascal

Am 30.04.2018 um 19:53 schrieb Zoran Regvart:

> Hi Pascal,
> I think you're spot on, I think we should use the freemarker as is and
> remove the service mix one,
>
> zoran
>
> On Sun, Apr 29, 2018 at 10:08 AM, Pascal Schumacher
> <[hidden email]> wrote:
>> Hi,
>>
>> while looking into updating the freemarker version used by camel I noticed
>> that we have both freemarker-version and freemarker-bundle-version.
>>
>> It looks like freemarker already is a OSGI bundle nowadays:
>>
>> https://github.com/apache/freemarker/blob/2.3-gae/build.xml#L412
>>
>> https://github.com/apache/freemarker/blob/2.3-gae/osgi.bnd
>>
>> Do we still need the freemarker service mix bundle?
>>
>> Cheers,
>>
>> Pascal
>>
>
>

Reply | Threaded
Open this post in threaded view
|

Re: freemarker-version and freemarker-bundle-version

Willem.Jiang
Administrator
It's not a good practices to use the dynamic import *[1] to workaround the
package import issue, as we use the OSGi bundle as the old jar.
We may need to work with Freemarker to build a right OSGi bundle for it.

[1]https://github.com/apache/freemarker/blob/2.3-gae/osgi.bnd#L50


Willem Jiang

Blog: http://willemjiang.blogspot.com (English)
          http://jnn.iteye.com  (Chinese)
Twitter: willemjiang
Weibo: 姜宁willem

On Tue, May 1, 2018 at 5:10 PM, Pascal Schumacher <[hidden email]>
wrote:

> Hi Zoran,
>
> thanks for the feedback.
>
> Implemented in: https://github.com/apache/came
> l/commit/6217ba02eb8fab1bea2a7252aa00a1d659c0ea3e
>
> - Pascal
>
>
> Am 30.04.2018 um 19:53 schrieb Zoran Regvart:
>
>> Hi Pascal,
>> I think you're spot on, I think we should use the freemarker as is and
>> remove the service mix one,
>>
>> zoran
>>
>> On Sun, Apr 29, 2018 at 10:08 AM, Pascal Schumacher
>> <[hidden email]> wrote:
>>
>>> Hi,
>>>
>>> while looking into updating the freemarker version used by camel I
>>> noticed
>>> that we have both freemarker-version and freemarker-bundle-version.
>>>
>>> It looks like freemarker already is a OSGI bundle nowadays:
>>>
>>> https://github.com/apache/freemarker/blob/2.3-gae/build.xml#L412
>>>
>>> https://github.com/apache/freemarker/blob/2.3-gae/osgi.bnd
>>>
>>> Do we still need the freemarker service mix bundle?
>>>
>>> Cheers,
>>>
>>> Pascal
>>>
>>>
>>
>>
>
Reply | Threaded
Open this post in threaded view
|

Re: freemarker-version and freemarker-bundle-version

Pascal Schumacher
Hi Willem,

thanks for the info. :)

I'm not an OSGi user, so I'm not qualified to comment on this.

Do you plan to (or maybe you already did) create a Freemarker issue for
this?

-Pascal

Am 02.05.2018 um 04:30 schrieb Willem Jiang:

> It's not a good practices to use the dynamic import *[1] to workaround the
> package import issue, as we use the OSGi bundle as the old jar.
> We may need to work with Freemarker to build a right OSGi bundle for it.
>
> [1]https://github.com/apache/freemarker/blob/2.3-gae/osgi.bnd#L50
>
>
> Willem Jiang
>
> Blog: http://willemjiang.blogspot.com (English)
>            http://jnn.iteye.com  (Chinese)
> Twitter: willemjiang
> Weibo: 姜宁willem
>
> On Tue, May 1, 2018 at 5:10 PM, Pascal Schumacher <[hidden email]>
> wrote:
>
>> Hi Zoran,
>>
>> thanks for the feedback.
>>
>> Implemented in: https://github.com/apache/came
>> l/commit/6217ba02eb8fab1bea2a7252aa00a1d659c0ea3e
>>
>> - Pascal
>>
>>
>> Am 30.04.2018 um 19:53 schrieb Zoran Regvart:
>>
>>> Hi Pascal,
>>> I think you're spot on, I think we should use the freemarker as is and
>>> remove the service mix one,
>>>
>>> zoran
>>>
>>> On Sun, Apr 29, 2018 at 10:08 AM, Pascal Schumacher
>>> <[hidden email]> wrote:
>>>
>>>> Hi,
>>>>
>>>> while looking into updating the freemarker version used by camel I
>>>> noticed
>>>> that we have both freemarker-version and freemarker-bundle-version.
>>>>
>>>> It looks like freemarker already is a OSGI bundle nowadays:
>>>>
>>>> https://github.com/apache/freemarker/blob/2.3-gae/build.xml#L412
>>>>
>>>> https://github.com/apache/freemarker/blob/2.3-gae/osgi.bnd
>>>>
>>>> Do we still need the freemarker service mix bundle?
>>>>
>>>> Cheers,
>>>>
>>>> Pascal
>>>>
>>>>
>>>

Reply | Threaded
Open this post in threaded view
|

Re: freemarker-version and freemarker-bundle-version

Willem.Jiang
Administrator
Hi Pascal,

OK, I will try to send a PR for it this weekend.



Willem Jiang

Blog: http://willemjiang.blogspot.com (English)
          http://jnn.iteye.com  (Chinese)
Twitter: willemjiang
Weibo: 姜宁willem

On Fri, May 4, 2018 at 3:09 AM, Pascal Schumacher <[hidden email]>
wrote:

> Hi Willem,
>
> thanks for the info. :)
>
> I'm not an OSGi user, so I'm not qualified to comment on this.
>
> Do you plan to (or maybe you already did) create a Freemarker issue for
> this?
>
> -Pascal
>
>
> Am 02.05.2018 um 04:30 schrieb Willem Jiang:
>
>> It's not a good practices to use the dynamic import *[1] to workaround the
>> package import issue, as we use the OSGi bundle as the old jar.
>> We may need to work with Freemarker to build a right OSGi bundle for it.
>>
>> [1]https://github.com/apache/freemarker/blob/2.3-gae/osgi.bnd#L50
>>
>>
>> Willem Jiang
>>
>> Blog: http://willemjiang.blogspot.com (English)
>>            http://jnn.iteye.com  (Chinese)
>> Twitter: willemjiang
>> Weibo: 姜宁willem
>>
>> On Tue, May 1, 2018 at 5:10 PM, Pascal Schumacher <
>> [hidden email]>
>> wrote:
>>
>> Hi Zoran,
>>>
>>> thanks for the feedback.
>>>
>>> Implemented in: https://github.com/apache/came
>>> l/commit/6217ba02eb8fab1bea2a7252aa00a1d659c0ea3e
>>>
>>> - Pascal
>>>
>>>
>>> Am 30.04.2018 um 19:53 schrieb Zoran Regvart:
>>>
>>> Hi Pascal,
>>>> I think you're spot on, I think we should use the freemarker as is and
>>>> remove the service mix one,
>>>>
>>>> zoran
>>>>
>>>> On Sun, Apr 29, 2018 at 10:08 AM, Pascal Schumacher
>>>> <[hidden email]> wrote:
>>>>
>>>> Hi,
>>>>>
>>>>> while looking into updating the freemarker version used by camel I
>>>>> noticed
>>>>> that we have both freemarker-version and freemarker-bundle-version.
>>>>>
>>>>> It looks like freemarker already is a OSGI bundle nowadays:
>>>>>
>>>>> https://github.com/apache/freemarker/blob/2.3-gae/build.xml#L412
>>>>>
>>>>> https://github.com/apache/freemarker/blob/2.3-gae/osgi.bnd
>>>>>
>>>>> Do we still need the freemarker service mix bundle?
>>>>>
>>>>> Cheers,
>>>>>
>>>>> Pascal
>>>>>
>>>>>
>>>>>
>>>>
>